org.kohsuke.stapler

## Class Properties

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<Object,Object>
    - - java.util.Properties
      - - org.kohsuke.stapler.Properties

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>

    public class Properties
    extends Properties

Author:
  Kohsuke Kawaguchi
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.Properties

`defaults`

### Constructor Summary

Constructors
Constructor and Description
`Properties()`
`Properties(File src)` Loads from the file.

### Method Summary

### Methods inherited from class java.util.Properties

`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

### Methods inherited from class java.util.Hashtable

`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Properties

    public Properties()

#### Properties

    public Properties(File src)
               throws IOException

Loads from the file.

Throws:
  `IOException`